#
# spec file for package audiotools
#
# Copyright (c) 2018 Packman Team <packman@links2linux.de>
# Copyright (c) 2013 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


Name:           audiotools
Version:        3.1.1
Release:        lp150.1.30
Summary:        Audio Tool Collection
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
URL:            http://audiotools.sourceforge.net/
Source:         https://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  libmp3lame-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(libcdio_cdda)
BuildRequires:  pkgconfig(libcdio_paranoia)
BuildRequires:  pkgconfig(libdvd-audio)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(opusfile)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(twolame)
BuildRequires:  pkgconfig(vorbisenc)
BuildRequires:  pkgconfig(vorbisfile)
%if 0%{?suse_version} == 1315
BuildRequires:  python3
%endif

%description
Python Audio Tools is a collection of audio handling programs that work from
the command line. These include programs for CD extraction, track conversion
from one audio format to another, track renaming and retagging, track
identification, CD burning from tracks, and more. It supports internationalized
track filenames and metadata using Unicode. It works with high-definition,
multi-channel audio as well as CD-quality. Track conversion uses multiple CPUs
or CPU cores if available to greatly speed the transcoding process. Track
metadata can be retrieved from MusicBrainz, FreeDB, or compatible servers.
Audio formats supported are WAV, FLAC, WavPack, MP3, Ogg Vorbis, M4A, Apple
Lossless, and more.

%prep
%setup -q
sed -i '/^#!/s/python/python3/' audiotools-config cdda2track cddainfo \
   cddaplay coverdump covertag coverview dvda2track dvdainfo track2cdda \
   track2track trackcat trackcmp trackinfo tracklength tracklint trackplay \
   trackrename tracksplit tracktag trackverify

%build
python3 setup.py build
make PYTHON=python3 %{?_smp_mflags} -C docs

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1 %{buildroot}%{_mandir}/man5
make MAN_PATH=%{buildroot}%{_mandir} -C docs install
rm %{buildroot}%{_mandir}/man1/audiotools.cfg.5

%files
%doc TODO
%license COPYING
%{_bindir}/audiotools-config
%{_bindir}/cdda2track
%{_bindir}/cddainfo
%{_bindir}/cddaplay
%{_bindir}/coverdump
%{_bindir}/covertag
%{_bindir}/coverview
%{_bindir}/dvda2track
%{_bindir}/dvdainfo
%{_bindir}/track2cdda
%{_bindir}/track2track
%{_bindir}/trackcat
%{_bindir}/trackcmp
%{_bindir}/trackinfo
%{_bindir}/tracklength
%{_bindir}/tracklint
%{_bindir}/trackplay
%{_bindir}/trackrename
%{_bindir}/tracksplit
%{_bindir}/tracktag
%{_bindir}/trackverify
%{_mandir}/man1/audiotools-config.1%{ext_man}
%{_mandir}/man1/cdda2track.1%{ext_man}
%{_mandir}/man1/cddainfo.1%{ext_man}
%{_mandir}/man1/cddaplay.1%{ext_man}
%{_mandir}/man1/coverdump.1%{ext_man}
%{_mandir}/man1/covertag.1%{ext_man}
%{_mandir}/man1/coverview.1%{ext_man}
%{_mandir}/man1/dvda2track.1%{ext_man}
%{_mandir}/man1/dvdainfo.1%{ext_man}
%{_mandir}/man1/track2cdda.1%{ext_man}
%{_mandir}/man1/track2track.1%{ext_man}
%{_mandir}/man1/trackcat.1%{ext_man}
%{_mandir}/man1/trackcmp.1%{ext_man}
%{_mandir}/man1/trackinfo.1%{ext_man}
%{_mandir}/man1/tracklength.1%{ext_man}
%{_mandir}/man1/tracklint.1%{ext_man}
%{_mandir}/man1/trackplay.1%{ext_man}
%{_mandir}/man1/trackrename.1%{ext_man}
%{_mandir}/man1/tracksplit.1%{ext_man}
%{_mandir}/man1/tracktag.1%{ext_man}
%{_mandir}/man1/trackverify.1%{ext_man}
%{_mandir}/man5/audiotools.cfg.5%{ext_man}
%{python3_sitearch}/audiotools-%{version}-*.egg-info
%{python3_sitearch}/audiotools/

%changelog
* Sat Mar 10 2018 aloisio@gmx.com
- Update to version 3.1.1 (no changelog supplied)
- Switched build to python3
- Dropped audiotools-2.19.patch (no longer necessary)
- Added manpages
- Spec cleanup
* Fri Mar  1 2013 toddrme2178@gmail.com
- Update to 2.19
- Fix building on openSUSE 12.2+
- Clean up spec file formatting
* Thu Apr 19 2012 pascal.bleser@opensuse.org
- initial version (2.18)
